#
# spec file for package rubygem-flay
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-flay
Version:        2.12.0
Release:        lp150.1.4
%define mod_name flay
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
Url:            http://ruby.sadi.st/
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Flay analyzes code for structural similarities
License:        MIT
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Flay analyzes code for structural similarities. Differences in literal
values, variable, class, method names, whitespace, programming style,
braces vs do/end, etc are all ignored. Making this totally rad.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="History.rdoc README.rdoc" \
  -f

%gem_packages

%changelog
* Mon Apr 30 2018 factory-auto@kulow.org
- updated to version 2.12.0
  see installed History.rdoc
  === 2.12.0 / 2018-04-29
  * 1 minor enhancement:
  * Switched node filtering to happen before processing to avoid subtrees getting processed. Thanks to codeclimate.com for funding this effort!
* Wed Apr 11 2018 factory-auto@kulow.org
- updated to version 2.11.0
  History.txt removed upstream
* Thu Aug  3 2017 coolo@suse.com
- updated to version 2.10.0
  see installed History.txt
  === 2.10.0 / 2017-07-17
  * 1 minor enhancement:
  * Added sexp tree filtering via :filters option.
* Fri Apr 14 2017 coolo@suse.com
- updated to version 2.9.0
  see installed History.txt
  === 2.9.0 / 2017-04-13
  * 1 minor enhancement:
  * Added Sexp#pure_ruby_hash from flay-persistent and switched structural_hash to it. Faster than ruby's #hash and stable.
* Thu Aug 25 2016 coolo@suse.com
- updated to version 2.8.1
  see installed History.txt
  === 2.8.1 / 2016-08-24
  * 1 bug fix:
  * Accidentally removed require from flay_task.rb. (ajacques)
* Tue May 17 2016 coolo@suse.com
- updated to version 2.8.0
  see installed History.txt
  === 2.8.0 / 2016-05-16
  * 1 minor enhancement:
  * Switched to path_expander to deal with cmdline args. See path_expander for details.
  * 2 bug fixes:
  * Added dev deps and bundler plugin to make flavorjones happy. (flavorjones)
  * Explictly require rake/tasklib in flay_task.rb. (jasonkarns)
* Mon Jan 25 2016 coolo@suse.com
- updated to version 2.7.0
  see installed History.txt
  === 2.7.0 / 2016-01-21
  * 1 minor enhancement:
  * Switched to erubis to make more compatible w/ rails usage.
* Tue Feb 10 2015 coolo@suse.com
- updated to version 2.6.1
  * 1 bug fix:
  * Fixed frozen string modification error on ruby 2.0+. (apiology)
  === 2.6.0 / 2015-01-09
  * 2 minor enhancements:
  * Added support for .flayignore files. (kcdragon)
  * Added Flay.filter_files(files, ignore_path_or_io).
  === 2.5.0 / 2014-05-29
  * 6 minor enhancements:
  * Added Flay::Item and Flay::Location to encapsulate analysis.
  * Added `--only nodetype` filter flag.
  * Flay#analyze now returns a nice data structure you can walk over.
  * Flay#report is now much more dumb. :)
  * Flay#report now takes an optional IO object.
  * Removed unused prune arg in Flay#report.
* Tue Jul 30 2013 coolo@suse.com
- updated to version 2.4.0
  * 1 minor enhancement:
  * Allow plugins to provide sexp to source converters for --diff. (UncleGene)
  * 1 bug fix:
  * Fixed --diff outputting twice if there are no comments. (kalenkov)
* Tue Jun  4 2013 coolo@suse.com
- updated to version 2.3.0
  * 2 minor enhancements:
  * Refactored n_way_diff into split_and_group, collapse_and_label, and pad_with_empty_strings.
  * n_way_diff now does leading comments separately from the code, to better align diffs.
  * 1 bug fix:
  * Fixed code/home urls in readme/gem.
  Semantic versioning doesn't take into account how AWESOME a release
  is. In this case, it severely falls short. I'd jump to 4.0 if I could.
  * 2 major enhancements:
  * Added --fuzzy (ie copy, paste, & modify) duplication detection.
  * Added --liberal, which changes the way prune works to identify more duplication.
  * 12 minor enhancements:
  * Added -# to turn off item numbering. Helps with diffs to compare runs over time.
  * Added Sexp#+.
  * Added Sexp#code_index to specify where *code starts in some sexps.
  * Added Sexp#has_code?.
  * Added Sexp#initalize_copy to propagate file/line/modified info.
  * Added Sexp#modified, #modified=, and #modified?.
  * Added Sexp#split_at(n). (Something I've wanted in Array for ages).
  * Added Sexp#split_code.
  * Added mass and diff options to rake debug.
  * Added rake run task w/ mass, diff, and liberal options
  * Made report's sort more stable, so I can do better comparison runs.
  * Wrapped Sexp#[] to propagate file/line/modified info.
  * 5 minor enhancements:
  * Added --timeout option. Defaults to 10 seconds.
  * Added ability for plugins to define options_<pluginname> method to extend options.
  * Flay no longer defaults to '.' if no args given. Allows plugins to do more
  * Moved #analyze down to #report. #process only processes, nothing more.
  * Sort output for more stable reporting. Better for diffing against, my dear.
* Wed Dec 19 2012 coolo@suse.com
- updated to version 2.0.1
  * Avoid redefined warning for File::RUBY19. (svendahlstrand)
  * Relaxed the ruby_parser dependency.
* Sat Nov  3 2012 coolo@suse.com
- updated to version 2.0.0
  * 1 minor enhancement:
  * Added a timeout handler to skip when RubyParser times out on a large file
  === 2.0.0.b1 / 2012-08-07
  * 2 major enhancements:
  * Parses ruby 1.9! (still in beta)
  * Moved Sexp#deep_each and Sexp#each_sexp to sexp_processor
  * 1 minor enhancements:
  * Use File.binread (File.read in 1.8) to bypass encoding errors
  * 1 bug fix:
  * Fixed failing tests against ruby_parser 3
* Wed Aug  1 2012 coolo@suse.com
- updated to version 1.4.3
* Mon Sep  6 2010 mrueckert@suse.de
- update to version 1.4.1
  * Added extra error handling for ERB flay to deal with tons of
    bad ERB
  * Skip plugin if another version already loaded (eg local vs gem).
  * Fixed all tests that were having problems on 1.9 due to
    unstable hashes
* Wed Aug  4 2010 dmacvicar@novell.com
- remove hoe as runtime dependency
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Fri Dec 25 2009 prusnak@suse.cz
- updated to 1.4.0
  * Pushed Sexp#mass up to sexp_processor.
  * Removed #similarity #compare_to, #intersection, #triangle, and
    other cruft.
  * Renamed all_subhashes to all_structural_subhashes.
  * Renamed fuzzy_hash to structural_hash.
* Mon Aug 10 2009 dmacvicar@novell.com
- initial package for 1.3.0
